
Redmine - Patch #24865

Load associations of query results more efficiently

2017-01-18 13:36 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Related issues:

Related to Redmine - Defect #33381: Possible double includes in issue query i... Closed

Associated revisions

Revision 16217 - 2017-01-17 22:29 - Jean-Philippe Lang

Fixed that Query#has_column? returns false with default columns.

Revision 16219 - 2017-01-18 13:51 - Jean-Philippe Lang

Handle csv columns selection in query to preload appropriate associations (#24865).

Revision 16221 - 2017-01-18 13:54 - Jean-Philippe Lang

Don't join all associations by default (#24865).

Revision 16222 - 2017-01-18 14:08 - Jean-Philippe Lang

Test failure (#24865).

Revision 16223 - 2017-01-18 14:17 - Jean-Philippe Lang

Fixed #joins_for_order_statement (#24865).

History

#1 - 2017-01-18 14:49 - Jean-Philippe Lang

- Status changed from New to Closed

#2 - 2021-06-03 09:58 - Go MAEDA

- Related to Defect #33381: Possible double includes in issue query in gantt helper added
